Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: /usr/bin/xsltproc
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           bti
Version:        034
Release:        alt3_29
Summary:        Bash Twitter Idiocy

License:        GPLv2
URL:            https://github.com/gregkh/bti
# kernel.org, not always up to date
Source0:        https://www.kernel.org/pub/software/web/bti/bti-%{version}.tar.xz
Patch0:         bti-034_json-c_013.patch

BuildRequires:  gcc
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(oauth)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(oauth)
Source44: import.info

%description
Allows you to pipe your bash input to twitter in an easy
and fast manner to annoy the whole world.


%prep
%setup -q
%patch0 -p1



%build
export LDFLAGS="%{?__global_ldflags} -L%{_libdir}/readline5"
%configure
%make_build


%install
%makeinstall_std
# bash completion
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
cp -p bti-bashcompletion %{buildroot}%{_sysconfdir}/bash_completion.d/bti


%files
%doc --no-dereference COPYING
%doc ChangeLog README RELEASE-NOTES
%doc bti.example
%config(noreplace) %{_sysconfdir}/bash_completion.d/bti
%{_bindir}/bti
%{_bindir}/bti-shrink-urls
%{_mandir}/man1/*



%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 034-alt3_29
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 034-alt3_27
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 034-alt3_26
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 034-alt3_25
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 034-alt3_24
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 034-alt3_23
- update to new release by fcimport

* Sun Jul 25 2021 Igor Vlasenko <viy@altlinux.org> 034-alt3_22
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 034-alt3_20
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 034-alt3_19
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 034-alt2_19
- update to new release by fcimport

* Sat Jun 13 2020 Igor Vlasenko <viy@altlinux.ru> 034-alt2_18
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 034-alt2_17
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 034-alt2_16
- update to new release by fcimport

* Wed Apr 10 2019 Cronbuild Service <cronbuild@altlinux.org> 034-alt2_15
- rebuild to get rid of unmets

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 034-alt1_15
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 034-alt1_14
- update to new release by fcimport

* Tue Mar 13 2018 Igor Vlasenko <viy@altlinux.ru> 034-alt1_13
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 034-alt1_12
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 034-alt1_11
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 034-alt1_10
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 034-alt1_8
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 034-alt1_7
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 034-alt1_6
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 034-alt1_5
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 034-alt1_4
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 034-alt1_3
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 033-alt1_2
- update to new release by fcimport

* Fri Jul 12 2013 Igor Vlasenko <viy@altlinux.ru> 033-alt1_1
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 032-alt1_3
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 032-alt1_2
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 031-alt1_3
- converted for Sisyphus

